/report/insight/benchmarking/revenue-dimension
curl --request GET \
--url https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimensionimport requests
url = "https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimension"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimension', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimension",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimension"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimension")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimension")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"results": {
"currency": "GBP",
"data": {
"desktop": {
"gross_revenue": {
"publisher": 8412.37,
"cohort": 6120.84,
"network": 5233.19
},
"pap_gross_revenue": {
"publisher": 5888.66,
"cohort": 4102.5,
"network": 3561.07
},
"saas_gross_revenue": {
"publisher": 2523.71,
"cohort": 2018.34,
"network": 1672.12
},
"net_revenue": {
"publisher": 6729.9,
"cohort": 4896.67,
"network": 4186.55
},
"pap_net_revenue": {
"publisher": 4710.93,
"cohort": 3282,
"network": 2848.86
},
"saas_net_revenue": {
"publisher": 2018.97,
"cohort": 1614.67,
"network": 1337.69
},
"impressions": {
"publisher": 3164800,
"cohort": 2401350.5,
"network": 2087412.25
},
"pap_impressions": {
"publisher": 2215360,
"cohort": 1609904.75,
"network": 1420440.5
},
"saas_impressions": {
"publisher": 949440,
"cohort": 791445.75,
"network": 666971.75
}
},
"mobile": {
"gross_revenue": {
"publisher": 13102.44,
"cohort": 9874.12,
"network": 8410.66
},
"pap_gross_revenue": {
"publisher": 9171.71,
"cohort": 6911.88,
"network": 5887.46
},
"saas_gross_revenue": {
"publisher": 3930.73,
"cohort": 2962.24,
"network": 2523.2
},
"net_revenue": {
"publisher": 10481.95,
"cohort": 7899.3,
"network": 6728.53
},
"pap_net_revenue": {
"publisher": 7337.37,
"cohort": 5529.5,
"network": 4709.97
},
"saas_net_revenue": {
"publisher": 3144.58,
"cohort": 2369.8,
"network": 2018.56
},
"impressions": {
"publisher": 6029100,
"cohort": 4718842.25,
"network": 4102877.5
},
"pap_impressions": {
"publisher": 4220370,
"cohort": 3303189.5,
"network": 2872014.25
},
"saas_impressions": {
"publisher": 1808730,
"cohort": 1415652.75,
"network": 1230863.25
}
},
"tablet": {
"gross_revenue": {
"publisher": null,
"cohort": 412.9,
"network": 366.08
},
"pap_gross_revenue": {
"publisher": null,
"cohort": 289.03,
"network": 256.26
},
"saas_gross_revenue": {
"publisher": null,
"cohort": 123.87,
"network": 109.82
},
"net_revenue": {
"publisher": null,
"cohort": 330.32,
"network": 292.86
},
"pap_net_revenue": {
"publisher": null,
"cohort": 231.22,
"network": 205
},
"saas_net_revenue": {
"publisher": null,
"cohort": 99.1,
"network": 87.86
},
"impressions": {
"publisher": null,
"cohort": 191210.5,
"network": 170044
},
"pap_impressions": {
"publisher": null,
"cohort": 133847.25,
"network": 119030.75
},
"saas_impressions": {
"publisher": null,
"cohort": 57363.25,
"network": 51013.25
}
},
"unknown": {
"gross_revenue": {
"publisher": 37.42,
"cohort": 21.86,
"network": 18.3
},
"pap_gross_revenue": {
"publisher": 26.19,
"cohort": 15.3,
"network": 12.81
},
"saas_gross_revenue": {
"publisher": 11.23,
"cohort": 6.56,
"network": 5.49
},
"net_revenue": {
"publisher": 29.94,
"cohort": 17.49,
"network": 14.64
},
"pap_net_revenue": {
"publisher": 20.95,
"cohort": 12.24,
"network": 10.25
},
"saas_net_revenue": {
"publisher": 8.99,
"cohort": 5.25,
"network": 4.39
},
"impressions": {
"publisher": 18630,
"cohort": 11204.75,
"network": 9512.5
},
"pap_impressions": {
"publisher": 13041,
"cohort": 7843.25,
"network": 6658.75
},
"saas_impressions": {
"publisher": 5589,
"cohort": 3361.5,
"network": 2853.75
}
}
}
},
"success": true
}Reporting/Insights Hub/Benchmarking
/report/insight/benchmarking/revenue-dimension
Programmatic revenue benchmarks for one publisher, broken down by one dimension such as country, device or partner
GET
/
v1
/
report
/
insight
/
benchmarking
/
revenue-dimension
/report/insight/benchmarking/revenue-dimension
curl --request GET \
--url https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimensionimport requests
url = "https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimension"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimension', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimension",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimension"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimension")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tagdeliver.com/v1/report/insight/benchmarking/revenue-dimension")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"results": {
"currency": "GBP",
"data": {
"desktop": {
"gross_revenue": {
"publisher": 8412.37,
"cohort": 6120.84,
"network": 5233.19
},
"pap_gross_revenue": {
"publisher": 5888.66,
"cohort": 4102.5,
"network": 3561.07
},
"saas_gross_revenue": {
"publisher": 2523.71,
"cohort": 2018.34,
"network": 1672.12
},
"net_revenue": {
"publisher": 6729.9,
"cohort": 4896.67,
"network": 4186.55
},
"pap_net_revenue": {
"publisher": 4710.93,
"cohort": 3282,
"network": 2848.86
},
"saas_net_revenue": {
"publisher": 2018.97,
"cohort": 1614.67,
"network": 1337.69
},
"impressions": {
"publisher": 3164800,
"cohort": 2401350.5,
"network": 2087412.25
},
"pap_impressions": {
"publisher": 2215360,
"cohort": 1609904.75,
"network": 1420440.5
},
"saas_impressions": {
"publisher": 949440,
"cohort": 791445.75,
"network": 666971.75
}
},
"mobile": {
"gross_revenue": {
"publisher": 13102.44,
"cohort": 9874.12,
"network": 8410.66
},
"pap_gross_revenue": {
"publisher": 9171.71,
"cohort": 6911.88,
"network": 5887.46
},
"saas_gross_revenue": {
"publisher": 3930.73,
"cohort": 2962.24,
"network": 2523.2
},
"net_revenue": {
"publisher": 10481.95,
"cohort": 7899.3,
"network": 6728.53
},
"pap_net_revenue": {
"publisher": 7337.37,
"cohort": 5529.5,
"network": 4709.97
},
"saas_net_revenue": {
"publisher": 3144.58,
"cohort": 2369.8,
"network": 2018.56
},
"impressions": {
"publisher": 6029100,
"cohort": 4718842.25,
"network": 4102877.5
},
"pap_impressions": {
"publisher": 4220370,
"cohort": 3303189.5,
"network": 2872014.25
},
"saas_impressions": {
"publisher": 1808730,
"cohort": 1415652.75,
"network": 1230863.25
}
},
"tablet": {
"gross_revenue": {
"publisher": null,
"cohort": 412.9,
"network": 366.08
},
"pap_gross_revenue": {
"publisher": null,
"cohort": 289.03,
"network": 256.26
},
"saas_gross_revenue": {
"publisher": null,
"cohort": 123.87,
"network": 109.82
},
"net_revenue": {
"publisher": null,
"cohort": 330.32,
"network": 292.86
},
"pap_net_revenue": {
"publisher": null,
"cohort": 231.22,
"network": 205
},
"saas_net_revenue": {
"publisher": null,
"cohort": 99.1,
"network": 87.86
},
"impressions": {
"publisher": null,
"cohort": 191210.5,
"network": 170044
},
"pap_impressions": {
"publisher": null,
"cohort": 133847.25,
"network": 119030.75
},
"saas_impressions": {
"publisher": null,
"cohort": 57363.25,
"network": 51013.25
}
},
"unknown": {
"gross_revenue": {
"publisher": 37.42,
"cohort": 21.86,
"network": 18.3
},
"pap_gross_revenue": {
"publisher": 26.19,
"cohort": 15.3,
"network": 12.81
},
"saas_gross_revenue": {
"publisher": 11.23,
"cohort": 6.56,
"network": 5.49
},
"net_revenue": {
"publisher": 29.94,
"cohort": 17.49,
"network": 14.64
},
"pap_net_revenue": {
"publisher": 20.95,
"cohort": 12.24,
"network": 10.25
},
"saas_net_revenue": {
"publisher": 8.99,
"cohort": 5.25,
"network": 4.39
},
"impressions": {
"publisher": 18630,
"cohort": 11204.75,
"network": 9512.5
},
"pap_impressions": {
"publisher": 13041,
"cohort": 7843.25,
"network": 6658.75
},
"saas_impressions": {
"publisher": 5589,
"cohort": 3361.5,
"network": 2853.75
}
}
}
},
"success": true
}Query Parameters
A single publisher ID
Date range to report on. Preset ranges end yesterday. month_to_date is the current month so far and week_to_date is the current week so far. custom requires start and end (YYYY-MM-DD). Other values return a 400 error
Available options:
custom, all_time, seven_days, fourteen_days, thirty_days, three_months, six_months, week_to_date, month_to_date, quarter_to_date, year_to_date, last_week, last_month, last_quarter, last_year, month_on_month, quarter_on_quarter, yesterday Start date when range=custom
End date when range=custom
The dimension to report on
Available options:
ad_unit_type, geo, region, device, channel, partner, creative_size Environment or platform to report from
Available options:
all, app, web When yes, leaves out publishers in the same organisation as this publisher, including its child organisations, from the cohort and network
Available options:
yes, no Was this page helpful?
⌘I